diff --git a/src/BRepExtrema/BRepExtrema_DistanceSS.cxx b/src/BRepExtrema/BRepExtrema_DistanceSS.cxx
index 61773dd..877f91d 100644
--- a/src/BRepExtrema/BRepExtrema_DistanceSS.cxx
+++ b/src/BRepExtrema/BRepExtrema_DistanceSS.cxx
@@ -442,7 +442,6 @@ static void PERFORM_C0(const TopoDS_Edge &S1, const TopoDS_Edge &S2,
 
       gp_Pnt P1,Pt;
       Standard_Integer i, ii;  
-      BRepClass_FaceClassifier classifier;
       for (i = 1; i <= arrInter.Length(); i++)
       {
         const Standard_Real aParameter = arrInter(i);
@@ -791,7 +790,8 @@ void BRepExtrema_DistanceSS::Perform(const TopoDS_Vertex& S1, const TopoDS_Face&
         Standard_Real U,V;
         gp_Pnt Pt,P1=BRep_Tool::Pnt(S1);
         BRepClass_FaceClassifier classifier;
-        const Standard_Real tol = BRep_Tool::Tolerance(S2);
+        BRepAdaptor_Surface anAS(S2, Standard_False);
+        const Standard_Real aTol = BRep_Tool::Tolerance(S2);
  
         for (i = 1; i <= NbExtrema; i++)
         {
@@ -803,7 +803,7 @@ void BRepExtrema_DistanceSS::Perform(const TopoDS_Vertex& S1, const TopoDS_Face&
               // Check if the parameter does not correspond to a vertex
               Ext.Parameter(i,U,V);
               const gp_Pnt2d PUV(U,V);
-              classifier.Perform(S2,PUV,tol);
+              classifier.Perform(S2, PUV, aTol);
               if (classifier.State()==TopAbs_IN)
               {
                 if (myDstRef > Dstmin)
@@ -847,7 +847,7 @@ void BRepExtrema_DistanceSS::Perform(const TopoDS_Face& S1, const TopoDS_Vertex&
         Standard_Real U,V;
         gp_Pnt Pt,P2=BRep_Tool::Pnt(S2);
         BRepClass_FaceClassifier classifier;
-        const Standard_Real tol = BRep_Tool::Tolerance(S1);
+        const Standard_Real aTol = BRep_Tool::Tolerance(S1);
  
         for (i = 1; i <= NbExtrema; i++)
         {
@@ -859,7 +859,7 @@ void BRepExtrema_DistanceSS::Perform(const TopoDS_Face& S1, const TopoDS_Vertex&
               // Check if the parameter does not correspond to a vertex
               Ext.Parameter(i,U,V);
               const gp_Pnt2d PUV(U,V);
-              classifier.Perform(S1,PUV,tol);
+              classifier.Perform(S1, PUV, aTol);
               if (classifier.State()==TopAbs_IN)
               {
                 if (myDstRef > Dstmin)
@@ -992,8 +992,7 @@ void BRepExtrema_DistanceSS::Perform(const TopoDS_Edge& S1, const TopoDS_Face& S
       {
         Standard_Real Udeb,Ufin,U,V;
         BRep_Tool::Range(S1,Udeb,Ufin);
-        const Standard_Real tol=BRep_Tool::Tolerance(S2);
-
+        const Standard_Real aTol = BRep_Tool::Tolerance(S2);
         gp_Pnt Pt1,Pt2;
         const Standard_Real epsP=Precision::PConfusion();
 
@@ -1011,7 +1010,7 @@ void BRepExtrema_DistanceSS::Perform(const TopoDS_Edge& S1, const TopoDS_Face& S
               {
                 Ext.ParameterOnFace(i,U,V);
                 const gp_Pnt2d PUV(U,V);
-                classifier.Perform(S2,PUV,tol);
+                classifier.Perform(S2, PUV, aTol);
                 if (classifier.State()==TopAbs_IN)
                 {
                   if (myDstRef > Dstmin)
@@ -1044,8 +1043,7 @@ void BRepExtrema_DistanceSS::Perform(const TopoDS_Edge& S1, const TopoDS_Face& S
 
       gp_Pnt Pt;
       Standard_Real U,V;
-      const Standard_Real tol = BRep_Tool::Tolerance(S2);
-
+      const Standard_Real aTol = BRep_Tool::Tolerance(S2);
       Standard_Integer i;
       for (i = 1; i <= arrInter.Length(); i++)
       {
@@ -1077,7 +1075,7 @@ void BRepExtrema_DistanceSS::Perform(const TopoDS_Edge& S1, const TopoDS_Face& S
                 // Check if the parameter does not correspond to a vertex
                 ExtPF.Parameter(ii,U,V);
                 const gp_Pnt2d PUV(U,V);
-				classifier.Perform(S2,PUV,tol);
+                classifier.Perform(S2, PUV, aTol);
                 if (classifier.State()==TopAbs_IN)
                 {
                   if (myDstRef > Dstmin)
@@ -1137,8 +1135,7 @@ void BRepExtrema_DistanceSS::Perform(const TopoDS_Face& S1, const TopoDS_Edge& S
       {
         Standard_Real Udeb,Ufin,U,V;
         BRep_Tool::Range(S2,Udeb,Ufin);
-        const Standard_Real tol=BRep_Tool::Tolerance(S1);
-
+        const Standard_Real aTol = BRep_Tool::Tolerance(S1);
         gp_Pnt Pt1,Pt2;
         const Standard_Real epsP=Precision::PConfusion();
 
@@ -1156,7 +1153,7 @@ void BRepExtrema_DistanceSS::Perform(const TopoDS_Face& S1, const TopoDS_Edge& S
               {
                 Ext.ParameterOnFace(i,U,V);
                 const gp_Pnt2d PUV(U,V);
-                classifier.Perform(S1,PUV,tol);
+                classifier.Perform(S1, PUV, aTol);
                 if (classifier.State()==TopAbs_IN)
                 {
                   if (myDstRef > Dstmin)
@@ -1189,8 +1186,7 @@ void BRepExtrema_DistanceSS::Perform(const TopoDS_Face& S1, const TopoDS_Edge& S
 
       gp_Pnt Pt;
       Standard_Real U,V;
-      const Standard_Real tol = BRep_Tool::Tolerance(S1);
-
+      const Standard_Real aTol = BRep_Tool::Tolerance(S1);
       Standard_Integer i;
       for (i = 1; i <= arrInter.Length(); i++)
       {
@@ -1222,7 +1218,7 @@ void BRepExtrema_DistanceSS::Perform(const TopoDS_Face& S1, const TopoDS_Edge& S
                 // Check if the parameter does not correspond to a vertex
                 ExtPF.Parameter(ii,U,V);
                 const gp_Pnt2d PUV(U,V);
-				classifier.Perform(S1,PUV,tol);
+                classifier.Perform(S1, PUV, aTol);
                 if (classifier.State()==TopAbs_IN)
                 {
                   if (myDstRef > Dstmin)
@@ -1277,8 +1273,8 @@ void BRepExtrema_DistanceSS::Perform(const TopoDS_Face& S1, const TopoDS_Face& S
       Dstmin = sqrt(Dstmin);
       if ((Dstmin < myDstRef - myEps) || (fabs(Dstmin-myDstRef) < myEps))
       {
-        const Standard_Real tol1=BRep_Tool::Tolerance(S1);
-        const Standard_Real tol2=BRep_Tool::Tolerance(S2);
+        const Standard_Real aTol1=BRep_Tool::Tolerance(S1);
+        const Standard_Real aTol2=BRep_Tool::Tolerance(S2);
 
         gp_Pnt Pt1,Pt2;
         gp_Pnt2d PUV;
@@ -1296,12 +1292,12 @@ void BRepExtrema_DistanceSS::Perform(const TopoDS_Face& S1, const TopoDS_Face& S
               // Check if the parameter does not correspond to a vertex
               Ext.ParameterOnFace1(i,U1,V1);
               PUV.SetCoord(U1,V1);
-              classifier.Perform(S1,PUV,tol1);
+              classifier.Perform(S1, PUV, aTol1);
               if (classifier.State()==TopAbs_IN)
               {
                 Ext.ParameterOnFace2(i,U2,V2);
                 PUV.SetCoord(U2,V2);
-                classifier.Perform(S2,PUV,tol2);
+                classifier.Perform(S2, PUV, aTol2);
                 if (classifier.State()==TopAbs_IN)
                 {
                   if (myDstRef > Dstmin)
diff --git a/src/BRepExtrema/BRepExtrema_ExtCF.cxx b/src/BRepExtrema/BRepExtrema_ExtCF.cxx
index 59d67b3..22fecc8 100644
--- a/src/BRepExtrema/BRepExtrema_ExtCF.cxx
+++ b/src/BRepExtrema/BRepExtrema_ExtCF.cxx
@@ -95,7 +95,7 @@ void BRepExtrema_ExtCF::Perform(const TopoDS_Edge& E, const TopoDS_Face& F2)
   {
     // Exploration of points and classification
     BRepClass_FaceClassifier classifier;
-    const Standard_Real Tol = BRep_Tool::Tolerance(F2);
+    const Standard_Real aTol = BRep_Tool::Tolerance(F2);
     Extrema_POnCurv P1;
     Extrema_POnSurf P2;
 
@@ -104,7 +104,7 @@ void BRepExtrema_ExtCF::Perform(const TopoDS_Edge& E, const TopoDS_Face& F2)
       myExtCS.Points(i, P1, P2);
       P2.Parameter(U1, U2);
       const gp_Pnt2d Puv(U1, U2);
-      classifier.Perform(F2, Puv, Tol);
+      classifier.Perform(F2, Puv, aTol);
       const TopAbs_State state = classifier.State();
       if (state == TopAbs_ON || state == TopAbs_IN)
       {
diff --git a/src/BRepExtrema/BRepExtrema_ExtFF.cxx b/src/BRepExtrema/BRepExtrema_ExtFF.cxx
index e777f25..252f744 100644
--- a/src/BRepExtrema/BRepExtrema_ExtFF.cxx
+++ b/src/BRepExtrema/BRepExtrema_ExtFF.cxx
@@ -69,17 +69,20 @@ void BRepExtrema_ExtFF::Perform(const TopoDS_Face& F1, const TopoDS_Face& F2)
   myPointsOnS1.Clear();
   myPointsOnS2.Clear();
 
-  BRepAdaptor_Surface Surf1(F1);
-  if (myHS.IsNull() || Surf1.GetType() == GeomAbs_OtherSurface)
+  BRepAdaptor_Surface Surf1(F1, Standard_False), Surf2(F2, Standard_False);
+  if (myHS.IsNull() ||
+     (Surf1.GetType() == GeomAbs_OtherSurface) ||
+     (Surf2.GetType() == GeomAbs_OtherSurface))
     return; // protect against non-geometric type (e.g. triangulation)
 
   Handle(BRepAdaptor_HSurface) HS1 = new BRepAdaptor_HSurface(Surf1);
-  Standard_Real Tol1 = Min(BRep_Tool::Tolerance(F1), Precision::Confusion());
-  Tol1 = Min(Surf1.UResolution(Tol1), Surf1.VResolution(Tol1));
-  Tol1 = Max(Tol1, Precision::PConfusion());
+  const Standard_Real aTol1 = BRep_Tool::Tolerance(F1),
+                      aTol2 = BRep_Tool::Tolerance(F2);
   Standard_Real U1, U2, V1, V2;
   BRepTools::UVBounds(F1, U1, U2, V1, V2);
-  myExtSS.Perform(HS1->Surface(), U1, U2, V1, V2, Tol1);
+  myExtSS.Perform(HS1->Surface(), U1, U2, V1, V2, Max(Min(Surf1.UResolution(aTol1),
+                                                          Surf1.VResolution(aTol1)),
+                                                            Precision::PConfusion()));
 
   if (!myExtSS.IsDone())
     return;
@@ -90,7 +93,6 @@ void BRepExtrema_ExtFF::Perform(const TopoDS_Face& F1, const TopoDS_Face& F2)
   {
     // Exploration of points and classification
     BRepClass_FaceClassifier classifier;
-    const Standard_Real Tol2 = BRep_Tool::Tolerance(F2);
     Extrema_POnSurf P1, P2;
 
     Standard_Integer i;
@@ -99,13 +101,13 @@ void BRepExtrema_ExtFF::Perform(const TopoDS_Face& F1, const TopoDS_Face& F2)
       myExtSS.Points(i, P1, P2);
       P1.Parameter(U1, U2);
       const gp_Pnt2d Puv1(U1, U2);
-      classifier.Perform(F1, Puv1, Tol1);
+      classifier.Perform(F1, Puv1, aTol1);
       const TopAbs_State state1 = classifier.State();
       if (state1 == TopAbs_ON || state1 == TopAbs_IN)
       {
         P2.Parameter(U1, U2);
         const gp_Pnt2d Puv2(U1, U2);
-        classifier.Perform(F2, Puv2, Tol2);
+        classifier.Perform(F2, Puv2, aTol2);
         const TopAbs_State state2 = classifier.State();
         if (state2 == TopAbs_ON || state2 == TopAbs_IN)
         {
diff --git a/src/BRepExtrema/BRepExtrema_ExtPF.cxx b/src/BRepExtrema/BRepExtrema_ExtPF.cxx
index 4149390..de93cb0 100644
--- a/src/BRepExtrema/BRepExtrema_ExtPF.cxx
+++ b/src/BRepExtrema/BRepExtrema_ExtPF.cxx
@@ -85,12 +85,13 @@ void BRepExtrema_ExtPF::Perform(const TopoDS_Vertex& TheVertex, const TopoDS_Fac
   {
     BRepClass_FaceClassifier classifier;
     Standard_Real U1, U2;
-    const Standard_Real Tol = BRep_Tool::Tolerance(TheFace);
+    BRepAdaptor_Surface anAS(TheFace, Standard_False);
+    const Standard_Real aTol = BRep_Tool::Tolerance(TheFace);
     for (Standard_Integer i = 1; i <= myExtPS.NbExt(); i++)
     {
       myExtPS.Point(i).Parameter(U1, U2);
       const gp_Pnt2d Puv(U1, U2);
-      classifier.Perform(TheFace, Puv, Tol);
+      classifier.Perform(TheFace, Puv, aTol);
       const TopAbs_State state = classifier.State();
       if(state == TopAbs_ON || state == TopAbs_IN)
       {
diff --git a/src/BRepFeat/BRepFeat_RibSlot.cxx b/src/BRepFeat/BRepFeat_RibSlot.cxx
index 0ac9d16..7172bef 100644
--- a/src/BRepFeat/BRepFeat_RibSlot.cxx
+++ b/src/BRepFeat/BRepFeat_RibSlot.cxx
@@ -1518,7 +1518,9 @@ Standard_Boolean BRepFeat_RibSlot::SlidingProfile(TopoDS_Face& Prof,
 // if not concave
 // CheckPnt : point slightly inside the material side
 // Bndface  : face/cut of the bounding box in the plane of the profile
-    BRepTopAdaptor_FClass2d Cl(fac, BRep_Tool::Tolerance(fac));
+    
+    const Standard_Real aTolF = BRep_Tool::Tolerance(fac);
+    BRepTopAdaptor_FClass2d Cl(fac, aTolF);
     Standard_Real u, v;
     ElSLib::Parameters(myPln->Pln(), CheckPnt, u, v);
     gp_Pnt2d checkpnt2d(u, v);
@@ -2205,7 +2207,8 @@ Standard_Boolean BRepFeat_RibSlot::NoSlidingProfile(TopoDS_Face& Prof,
   
 //    if(!Concavite) {
   if(Concavite == 3) {
-    BRepTopAdaptor_FClass2d Cl(fac, BRep_Tool::Tolerance(fac));
+    const Standard_Real aTolF = BRep_Tool::Tolerance(fac);
+    BRepTopAdaptor_FClass2d Cl(fac, aTolF);
     Standard_Real u, v;
     ElSLib::Parameters(myPln->Pln(), CheckPnt, u, v);
     gp_Pnt2d checkpnt2d(u, v);
diff --git a/src/BRepIntCurveSurface/BRepIntCurveSurface_Inter.cxx b/src/BRepIntCurveSurface/BRepIntCurveSurface_Inter.cxx
index 0bf8e39..50b4852 100644
--- a/src/BRepIntCurveSurface/BRepIntCurveSurface_Inter.cxx
+++ b/src/BRepIntCurveSurface/BRepIntCurveSurface_Inter.cxx
@@ -95,12 +95,13 @@ void BRepIntCurveSurface_Inter::Clear()
 //purpose  : 
 //===========================================================================
 
-void BRepIntCurveSurface_Inter::Load(const TopoDS_Shape& theShape ,const Standard_Real theTol)
+void BRepIntCurveSurface_Inter::Load(const TopoDS_Shape& theShape,
+                                     const Standard_Real theTol3D)
 {
   Clear();
   myFaces.Clear();
   myFaceBoxes.Nullify();
-  myTolerance = theTol;
+  my3DTolerance = theTol3D;
   TopExp_Explorer explorer(theShape,TopAbs_FACE);
   for( ; explorer.More(); explorer.Next())
     myFaces.Append(explorer.Current());
@@ -166,7 +167,7 @@ void BRepIntCurveSurface_Inter::Find()
     if( aFaceBox.IsVoid())
     {
       BRepBndLib::Add(aCurface, aFaceBox);
-      aFaceBox.SetGap(myTolerance);//Precision::Confusion());
+      aFaceBox.SetGap(my3DTolerance);//Precision::Confusion());
     }
     Standard_Boolean isOut = ( myCurve->GetType() == GeomAbs_Line ? aFaceBox.IsOut(myCurve->Line()) :
       ( !myCurveBox.IsVoid() ? aFaceBox.IsOut(myCurveBox ) : Standard_False ) );
@@ -200,7 +201,6 @@ void BRepIntCurveSurface_Inter::Find()
 Standard_Boolean BRepIntCurveSurface_Inter::FindPoint()
 {
   Standard_Integer j =  (!myCurrentindex ?  1 : myCurrentindex);
-  
   for( ; j <= myCurrentnbpoints; j++ )
   {
     Standard_Real anU = myIntcs.Point(j).U();
@@ -208,7 +208,7 @@ Standard_Boolean BRepIntCurveSurface_Inter::FindPoint()
   
     gp_Pnt2d Puv( anU,aV );
 
-    myCurrentstate = myFastClass->Classify(Puv,myTolerance); 
+    myCurrentstate = myFastClass->Classify(Puv, my3DTolerance);
     if(myCurrentstate == TopAbs_ON || myCurrentstate == TopAbs_IN) 
     { 
       myCurrentindex = j;
diff --git a/src/BRepIntCurveSurface/BRepIntCurveSurface_Inter.hxx b/src/BRepIntCurveSurface/BRepIntCurveSurface_Inter.hxx
index eaf62be..da25508 100644
--- a/src/BRepIntCurveSurface/BRepIntCurveSurface_Inter.hxx
+++ b/src/BRepIntCurveSurface/BRepIntCurveSurface_Inter.hxx
@@ -128,7 +128,7 @@ protected:
   //! Internal function
   Standard_EXPORT void Find();
   
-  //! Method chec found intersection point
+  //! Method check found intersection point
   Standard_EXPORT Standard_Boolean FindPoint();
   
   //! Method to clear fields of class
@@ -141,7 +141,7 @@ private:
 
 
 
-  Standard_Real myTolerance;
+  Standard_Real my3DTolerance;
   Handle(GeomAdaptor_HCurve) myCurve;
   IntCurveSurface_HInter myIntcs;
   Standard_Integer myCurrentindex;
diff --git a/src/BRepLib/BRepLib_FindSurface.cxx b/src/BRepLib/BRepLib_FindSurface.cxx
index 998176d..965d008 100644
--- a/src/BRepLib/BRepLib_FindSurface.cxx
+++ b/src/BRepLib/BRepLib_FindSurface.cxx
@@ -565,7 +565,7 @@ void BRepLib_FindSurface::Init(const TopoDS_Shape&    S,
       TopoDS_Face aTmpFace = BRepLib_MakeFace(mySurface, Precision::Confusion());
       BRep_Builder BB;
       BB.Add(aTmpFace, aW);
-      BRepTopAdaptor_FClass2d FClass(aTmpFace, 0.);
+      BRepTopAdaptor_FClass2d FClass(aTmpFace, gp::Resolution());
       if ( FClass.PerformInfinitePoint() == TopAbs_IN ) 
       {
         gp_Dir aN = aPlane->Position().Direction();
diff --git a/src/BRepLib/BRepLib_MakeFace.cxx b/src/BRepLib/BRepLib_MakeFace.cxx
index 8046062..90336af 100644
--- a/src/BRepLib/BRepLib_MakeFace.cxx
+++ b/src/BRepLib/BRepLib_MakeFace.cxx
@@ -849,7 +849,7 @@ void BRepLib_MakeFace::CheckInside()
 {
   // compute the area and return the face if the area is negative
   TopoDS_Face F = TopoDS::Face(myShape);
-  BRepTopAdaptor_FClass2d FClass(F,0.);
+  BRepTopAdaptor_FClass2d FClass(F,gp::Resolution());
   if ( FClass.PerformInfinitePoint() == TopAbs_IN) {
     BRep_Builder B;
     TopoDS_Shape S = myShape.EmptyCopied();
diff --git a/src/BRepMesh/BRepMesh_Classifier.cxx b/src/BRepMesh/BRepMesh_Classifier.cxx
index 09545b4..228e602 100644
--- a/src/BRepMesh/BRepMesh_Classifier.cxx
+++ b/src/BRepMesh/BRepMesh_Classifier.cxx
@@ -40,7 +40,7 @@ TopAbs_State BRepMesh_Classifier::Perform(const gp_Pnt2d& thePoint) const
   
   for (Standard_Integer i = 1; i <= aNb; i++)
   {
-    Standard_Integer aCur = ((CSLib_Class2d*)myTabClass(i))->SiDans(thePoint);
+    Standard_Integer aCur = ((CSLib_Class2d*)myTabClass(i))->Classify(thePoint);
     if (aCur == 0)
     {
       // Point is ON, but mark it as OUT
diff --git a/src/BRepOffset/BRepOffset_MakeOffset.cxx b/src/BRepOffset/BRepOffset_MakeOffset.cxx
index e9e565d..b227376 100644
--- a/src/BRepOffset/BRepOffset_MakeOffset.cxx
+++ b/src/BRepOffset/BRepOffset_MakeOffset.cxx
@@ -28,6 +28,7 @@
 #include <BRepAdaptor_Curve.hxx>
 #include <BRepAdaptor_Curve2d.hxx>
 #include <BRepAdaptor_Surface.hxx>
+#include <BRepTopAdaptor_FClass2d.hxx>
 #include <BRepAlgo_AsDes.hxx>
 #include <BRepAlgo_Image.hxx>
 #include <BRepCheck_Analyzer.hxx>
@@ -81,7 +82,6 @@
 #include <gp_Lin2d.hxx>
 #include <gp_Pnt.hxx>
 #include <GProp_GProps.hxx>
-#include <IntTools_FClass2d.hxx>
 #include <NCollection_List.hxx>
 #include <Precision.hxx>
 #include <Standard_ConstructionError.hxx>
@@ -2669,7 +2669,7 @@ void BRepOffset_MakeOffset::MakeMissingWalls ()
               TopoDS_Edge aE1, aE2;
               TopoDS_Wire aW1, aW2;
               Handle(Geom_Plane) aPL;
-              IntTools_FClass2d aClsf;
+              BRepTopAdaptor_FClass2d aClsf;
               //
               if (aCirc.Radius()>aCircOE.Radius()) {
                 aE1 = anEdge;
diff --git a/src/BRepOffset/BRepOffset_Tool.cxx b/src/BRepOffset/BRepOffset_Tool.cxx
index e8965ec..1f89c10 100644
--- a/src/BRepOffset/BRepOffset_Tool.cxx
+++ b/src/BRepOffset/BRepOffset_Tool.cxx
@@ -3856,11 +3856,9 @@ void BRepOffset_Tool::CorrectOrientation(const TopoDS_Shape&        SI,
 	if (NewEdges.Contains(OE)) {YaInt = Standard_True; break;}
       }
       if (YaInt) {
-	TopoDS_Shape aLocalFace = FI.Oriented(TopAbs_FORWARD);
-	BRepTopAdaptor_FClass2d FC (TopoDS::Face(aLocalFace),
-				    Precision::Confusion());
-//	BRepTopAdaptor_FClass2d FC (TopoDS::Face(FI.Oriented(TopAbs_FORWARD)),
-//				    Precision::Confusion());
+        TopoDS_Shape aLocalFace = FI.Oriented(TopAbs_FORWARD);
+        BRepTopAdaptor_FClass2d FC (TopoDS::Face(aLocalFace),
+                                    Precision::Confusion());
 	for (itE.Initialize(LOE); itE.More(); itE.Next()) {
 	  TopoDS_Shape&   OE   = itE.Value();
 	  if (NewEdges.Contains(OE)) {
diff --git a/src/BRepTopAdaptor/BRepTopAdaptor_FClass2d.cxx b/src/BRepTopAdaptor/BRepTopAdaptor_FClass2d.cxx
index 1ab9716e..decc3b4 100644
--- a/src/BRepTopAdaptor/BRepTopAdaptor_FClass2d.cxx
+++ b/src/BRepTopAdaptor/BRepTopAdaptor_FClass2d.cxx
@@ -14,10 +14,7 @@
 // Alternatively, this file may be used under the terms of Open CASCADE
 // commercial license or contractual agreement.
 
-#define AFFICHAGE 0
-
-#define No_Standard_OutOfRange
-
+#include <BRepTopAdaptor_FClass2d.hxx>
 
 #include <BRep_Tool.hxx>
 #include <BRepAdaptor_Curve.hxx>
